---
# tasks file for backend-stack

- name: Create backend folder
  file:
    path: /srv/backend-stack
    recurse: yes
    state: directory
    owner: "999"
    group: "999"
    mode: 0700

- name: Upload files
  template:
    src: "docker-compose.yml.j2"
    dest: "/srv/backend-stack/docker-compose.yml"
    owner: "999"
    group: "999"
    mode: 0700

- name: Create backend network
  docker_network:
    name: backend
    attachable: true
    appends: true

#- name: Add caddy to backend network
#  docker_network:
#    name: backend
#    connected:
#      - caddy
#    appends: yes


- name: Deploy service
  docker_compose:
    project_src: /srv/backend-stack/
